[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# AnsiResemblesText

Check whether 2 strings resemble each other.

## Declaration

Source position: strutils.pp line 29

`function AnsiResemblesText(`
`const AText: String;`
`const AOther: String`
`):Boolean;`

## Arguments

`AText` |  | First text to compare
`AOther` |  | Second text to compare

## Function result

True if the words match, False if not

## Description

AnsiResemblesText will check whether AnsiResemblesProc is set. If it is not set, False is returned. If it is set, AText and AOtherText are passed to it and it's result is returned.

## Errors

None.

## See also

AnsiResemblesProc |  | Procedural variable, called when checking 2 strings for resemblances in AnsiResemblesText
SoundexProc |  | Default AnsiResemblesText implementation.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.